Bug 1820434 - [OCP4.2 on OSP][IPI] does not deploy bootstrap node using volume boot
Summary: [OCP4.2 on OSP][IPI] does not deploy bootstrap node using volume boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks: 1828238
TreeView+ depends on / blocked
 
Reported: 2020-04-03 05:10 UTC by Hideshi Fukumoto
Modified: 2020-07-13 17:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Some OpenStack environments might enforce a policy where VMs can't boot with ephemeral disks and need to boot from a cinder volume. Consequence: In these cases, it is impossible to install OCP with IPI because even when configuring the master and worker nodes to boot from volume using the rootVolume setting, the bootstrap node would still boot from ephemeral disk. Fix: Have the bootstrap node follow the rootVolume settings from controlPlane machine pool. Result: It is now possible to install OCP in OpenStack environment that enforce a policy where VMs can't boot with ephemeral disks.
Clone Of:
: 1828238 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:25:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3434 None closed Bug 1820434: OpenStack: Allow Booting bootstrap node from volume 2020-08-03 08:19:32 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:25:41 UTC

Comment 6 David Sanz 2020-04-27 10:35:09 UTC
Verified on 4.5.0-0.nightly-2020-04-27-045900


12:27:18  level=debug msg="module.bootstrap.openstack_blockstorage_volume_v3.bootstrap_volume[0]: Creating..."

Volumes Attached
Attached To
mrnd-13-45-vo-bb8w9-bootstrap on /dev/vda

Comment 8 errata-xmlrpc 2020-07-13 17:25:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.